Package groovy.xml

# Class FactorySupport

java.lang.Object
groovy.xml.FactorySupport

public class FactorySupport extends Object
Support class for creating XML Factories

## Constructor Summary

Constructors
Constructor
Description
`FactorySupport()`

## Method Summary

Modifier and Type
Method
Description
`static DocumentBuilderFactory`
`createDocumentBuilderFactory()`
`static SAXParserFactory`
`createSaxParserFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FactorySupport

public FactorySupport()

## Method Details

### createDocumentBuilderFactory

public static DocumentBuilderFactory createDocumentBuilderFactory() throws ParserConfigurationException

Throws:
  `ParserConfigurationException`

### createSaxParserFactory

public static SAXParserFactory createSaxParserFactory() throws ParserConfigurationException

Throws:
  `ParserConfigurationException`